com.rs.xbrl.instructions.formula

## Class PeriodAspectOrFilterPeriodBase

- java.lang.Object
- - com.rs.xbrl.instructions.formula.PeriodAspectOrFilterPeriodBase

- All Implemented Interfaces:
    AspectOrFilter
  Direct Known Subclasses:
    PeriodAspectOrFilterPeriodEnd, PeriodAspectOrFilterPeriodInstant, PeriodAspectOrFilterPeriodStart

      public class PeriodAspectOrFilterPeriodBase
      extends java.lang.Object
      implements AspectOrFilter

  The Class PeriodAspectOrFilterPeriodBase.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PeriodAspectOrFilterPeriodBase(java.util.GregorianCalendar startDateGc, javax.xml.namespace.QName resourcename)` Instantiates a new period aspect or filter period base.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XMLFragment` | `getAspectFragment(DTSContainer dts)` Generates an XMLFragment that can be used as one additional aspect on a formula.
    `XBRLResource` | `getFilterFragment(GenerationContext gc)` Generated an XMLFragment that can be used as one additional filter on a formula.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.rs.xbrl.instructions.formula.AspectOrFilter

      `toString`

- - ### Constructor Detail

    - #### PeriodAspectOrFilterPeriodBase

          public PeriodAspectOrFilterPeriodBase(java.util.GregorianCalendar startDateGc,
                                        javax.xml.namespace.QName resourcename)

      Instantiates a new period aspect or filter period base.
      Parameters:
        `startDateGc` - the start date gc
        `resourcename` - the resourcename

  - ### Method Detail

    - #### getAspectFragment

          public XMLFragment getAspectFragment(DTSContainer dts)

      Description copied from interface: `AspectOrFilter`
      Generates an XMLFragment that can be used as one additional aspect on a formula.
      Specified by:
        `getAspectFragment` in interface `AspectOrFilter`
      Parameters:
        `dts` - the dts
      Returns:
        XMLFragment or null if cannot be generated

    - #### getFilterFragment

          public XBRLResource getFilterFragment(GenerationContext gc)

      Description copied from interface: `AspectOrFilter`
      Generated an XMLFragment that can be used as one additional filter on a formula.
      Specified by:
        `getFilterFragment` in interface `AspectOrFilter`
      Parameters:
        `gc` - the gc
      Returns:
        XMLFragment or null if cannot be generated